export declare type Operator = {
    key: string;
    first: string;
    sep: string;
    named: boolean;
    ifemp: string;
    allow: (s: string) => string;
};
export declare type VarSpec = {
    varName: string;
    maxLength?: number;
    explode: boolean;
};
declare const expressionParser: () => (s: string) => {
    operator: {
        key: string;
        first: string;
        sep: string;
        named: boolean;
        ifemp: string;
        allow: (s: string) => string;
    };
    varSpecs: {
        varName: string;
        maxLength?: number;
        explode: boolean;
    }[];
};
export { expressionParser };
